--- old/usr/src/uts/common/vm/seg_map.c	2015-05-08 18:10:36.179516353 -0400
+++ new/usr/src/uts/common/vm/seg_map.c	2015-05-08 18:10:36.186358439 -0400
@@ -87,44 +87,26 @@
 static int	segmap_pagelock(struct seg *seg, caddr_t addr, size_t len,
 			struct page ***ppp, enum lock_type type,
 			enum seg_rw rw);
-static void	segmap_badop(void);
 static int	segmap_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
-static lgrp_mem_policy_info_t	*segmap_getpolicy(struct seg *seg,
-    caddr_t addr);
-static int	segmap_capable(struct seg *seg, segcapability_t capability);
 
 /* segkpm support */
 static caddr_t	segmap_pagecreate_kpm(struct seg *, vnode_t *, u_offset_t,
 			struct smap *, enum seg_rw);
 struct smap	*get_smap_kpm(caddr_t, page_t **);
 
-#define	SEGMAP_BADOP(t)	(t(*)())segmap_badop
-
-static struct seg_ops segmap_ops = {
-	SEGMAP_BADOP(int),	/* dup */
-	SEGMAP_BADOP(int),	/* unmap */
-	segmap_free,
-	segmap_fault,
-	segmap_faulta,
-	SEGMAP_BADOP(int),	/* setprot */
-	segmap_checkprot,
-	segmap_kluster,
-	SEGMAP_BADOP(size_t),	/* swapout */
-	SEGMAP_BADOP(int),	/* sync */
-	SEGMAP_BADOP(size_t),	/* incore */
-	SEGMAP_BADOP(int),	/* lockop */
-	segmap_getprot,
-	segmap_getoffset,
-	segmap_gettype,
-	segmap_getvp,
-	SEGMAP_BADOP(int),	/* advise */
-	segmap_dump,
-	segmap_pagelock,	/* pagelock */
-	SEGMAP_BADOP(int),	/* setpgsz */
-	segmap_getmemid,	/* getmemid */
-	segmap_getpolicy,	/* getpolicy */
-	segmap_capable,		/* capable */
-	seg_inherit_notsup	/* inherit */
+static const struct seg_ops segmap_ops = {
+	.free		= segmap_free,
+	.fault		= segmap_fault,
+	.faulta		= segmap_faulta,
+	.checkprot	= segmap_checkprot,
+	.kluster	= segmap_kluster,
+	.getprot	= segmap_getprot,
+	.getoffset	= segmap_getoffset,
+	.gettype	= segmap_gettype,
+	.getvp		= segmap_getvp,
+	.dump		= segmap_dump,
+	.pagelock	= segmap_pagelock,
+	.getmemid	= segmap_getmemid,
 };
 
 /*
@@ -909,13 +891,6 @@
 	return (0);
 }
 
-static void
-segmap_badop()
-{
-	panic("segmap_badop");
-	/*NOTREACHED*/
-}
-
 /*
  * Special private segmap operations
  */
@@ -2191,20 +2166,6 @@
 	return (0);
 }
 
-/*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segmap_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
-static int
-segmap_capable(struct seg *seg, segcapability_t capability)
-{
-	return (0);
-}
-
 
 #ifdef	SEGKPM_SUPPORT
 
